﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using System.Xml.Linq;


using Dataweb.NShape;
using Dataweb.Utilities;
using Dataweb.NShape.GeneralShapes;
using Dataweb.NShape.GeneralModelObjects;
using Dataweb.NShape.Advanced;
using Dataweb.NShape.WinFormsUI;
using Dataweb.NShape.Layouters;

using GraphicalObjects;

using HDL_XML_Parser;
using HDLVisualizerDefinitions;


namespace GraphicalObjects
{
    public class VHDLDisplay : Display
    {
        private DisplayInitializator Initializator;
        private PositionGenerator Generator;
        private VHDLDisplay Display;

        public VHDLDisplay()
        {
            this.Display = this;
        }

        public void SetInitializator(ref DisplayInitializator Initializator)
        {
            this.Initializator = Initializator;
            
        }
        public DisplayInitializator GetInitializator()
        {
            return this.Initializator;
        }
        public void SetGenerator(ref PositionGenerator Generator)
        {
            this.Generator = Generator;
        }
        public PositionGenerator GetGenerator()
        {
            return this.Generator;
        }
        public VHDLDisplay GetDisplay()
        {
            return this.Display;
        }
    }
}
