﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

    namespace HDLVisualizerDefinitions
    {
        public class ExceptionExpectedAndTranslated : System.ApplicationException
        {
            private string translatedMessage;
            public ExceptionExpectedAndTranslated() { }
            public ExceptionExpectedAndTranslated(string message) { translatedMessage = message; }
            public string GetTranslatedMessage() { return translatedMessage; }
            public void AddToTranslatedMessage(string message) { translatedMessage += message; }
            public void SetTranslatedMessage(string message) { translatedMessage = message; }
        }

        public enum Direction { Right = 1, Down, Left, Up };
    }

