﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VHDL2XML
{
    //trieda uchovavajuca priradene signalov
    public class Assignment
    {
        string nazov = "";
        int pin = -1;
        string hodnota = "";
        bool vystupny = false;

        public Assignment(string nazov, int pin, string hodnota)
        {
            this.nazov = nazov;
            this.pin = pin;
            this.hodnota = hodnota;
        }

        public Assignment(string nazov, int pin, string hodnota, bool vystupny)
        {
            this.nazov = nazov;
            this.pin = pin;
            this.hodnota = hodnota;
            this.vystupny = vystupny;
        }

        public string Nazov()
        {
            return nazov;
        }

        public int Pin()
        {
            return pin;
        }

        public string Hodnota()
        {
            return hodnota;
        }

        public bool Vystuny()
        {
            return vystupny;
        }

        public string h
        {
            get { return hodnota; }
            set { hodnota = value; }
        }
    }

    //trieda uchovavajuca zoznam priradeni signalov s potrebnymi funkciami na pridanie a vyber priradenia
    public class Assignments
    {
        List<Assignment> priradenia = new List<Assignment>();

        public void Add(string nazov, int pin, string hodnota)
        {
            priradenia.Add(new Assignment(nazov, pin, hodnota));
        }

        public void Add(string nazov, int pin, string hodnota, bool vystupny)
        {
            priradenia.Add(new Assignment(nazov, pin, hodnota, vystupny));
        }

        public string GetValueOf(string nazov, int pin)
        {
            foreach (Assignment a in priradenia)
            {
                if (a.Nazov() == nazov && a.Pin() == pin)
                    /*if (a.Hodnota().Split(' ').Length > 3)
                        if (a.Hodnota().Split(' ').Length == 7 && a.Hodnota().Split(' ')[1] == "(" && a.Hodnota().Split(' ')[5] == ")")
                            return a.Hodnota();
                        else
                            return " (" + a.Hodnota() + ") ";
                    else
                        if (a.Hodnota().Split(' ').Length == 3 && a.Hodnota().Split(' ')[0] == "" && a.Hodnota().Split(' ')[2] == "")
                            return a.Hodnota();
                        else
                            return " " + a.Hodnota() + " ";*/
                    if (a.Hodnota()[0] == ' ' && a.Hodnota()[a.Hodnota().Length - 1] == ' ')
                        return a.Hodnota();
                    else
                        return " " + a.Hodnota() + " ";
            }
            return "";
        }

        public string GetString()
        {
            string buf = "";
            foreach (Assignment a in priradenia)
            {
                buf += a.Nazov();
                if (a.Pin() > -1)
                    buf += "(" + a.Pin().ToString() + ")";
                buf += " <= " + a.Hodnota() + "\n";
            }
            return buf;
        }
        public List<Assignment> pr
        {
            get { return priradenia; }
        }
    }
}
