using System;
using System.Collections.Generic;
using System.Text;

namespace VHDL2XML
{
    public class PortReference
    {
        string _RangeName = "";
        /// <summary>
        /// Name of the connection of signal
        /// signame
        /// signame(0)
        /// 
        /// (0)=>sig(0)
        /// (0)=>sig(0)=>(1)
        /// 
        /// </summary>
        public string RangeName
        {
            get { return _RangeName; }
            set { _RangeName = value; }
        }

        public PortReference(object objectReference, EntityType type, EntityPort port,string rangeName)
        {
            ObjectReference = objectReference;
            Type = type;
            Port = port;
            RangeName = rangeName;
        }

        object _ObjectReference = null;

        public object ObjectReference
        {
            get { return _ObjectReference; }
            set { _ObjectReference = value; }
        }

        EntityType _Type;

        public EntityType Type
        {
            get { return _Type; }
            set { _Type = value; }
        }

        EntityPort _Port = null;

        public EntityPort Port
        {
            get { return _Port; }
            set { _Port = value; }
        }

    }
}
