﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HDLVisualizer
{
    public partial class visualizationOptions : Form
    {
        public visualizationOptions()
        {
            InitializeComponent();
            if ((main.VisualisationHorizontalLimit == 0) && (main.VisualisationVerticalLimit == 0))
            {
                radioButton1.Checked = true;
                radioButton2.Checked = false;
                radioButton3.Checked = false;
                textBox1.Enabled = false;
                textBox2.Enabled = false;
                apply.Enabled = true;
            }
            else if ((main.VisualisationHorizontalLimit > 0) && (main.VisualisationVerticalLimit == 0))
            {
                radioButton1.Checked = false;
                radioButton2.Checked = true;
                radioButton3.Checked = false;
                textBox1.Enabled = true;
                textBox1.Text = main.VisualisationHorizontalLimit.ToString();
                textBox2.Enabled = false;
                if (int.Parse(textBox1.Text) > 1)
                {
                    apply.Enabled = true;
                }
                else
                {
                    apply.Enabled = false;
                }
            }
            else if ((main.VisualisationHorizontalLimit == 0) && (main.VisualisationVerticalLimit > 0))
            {
                radioButton1.Checked = false;
                radioButton2.Checked = false;
                radioButton3.Checked = true;
                textBox1.Enabled = false;
                textBox2.Enabled = true;
                textBox2.Text = main.VisualisationVerticalLimit.ToString();
                if (int.Parse(textBox2.Text) > 1)
                {
                    apply.Enabled = true;
                }
                else
                {
                    apply.Enabled = false;
                }
            }
        }

        private void apply_Click(object sender, EventArgs e)
        {
            if (radioButton1.Checked == true)
            {
                main.VisualisationHorizontalLimit = 0;
                main.VisualisationVerticalLimit = 0;
            }
            else if (radioButton2.Checked == true)
            {
                main.VisualisationHorizontalLimit = int.Parse(textBox1.Text);
                main.VisualisationVerticalLimit = 0;
            }
            else if (radioButton3.Checked == true)
            {
                main.VisualisationHorizontalLimit = 0;
                main.VisualisationVerticalLimit = int.Parse(textBox2.Text);
            }
            this.Close();
        }

        private void radioButton1_click(object sender, EventArgs e)
        {
            radioButton1.Checked = true;
            radioButton2.Checked = false;
            radioButton3.Checked = false;
            textBox1.Enabled = false;
            textBox2.Enabled = false;
            apply.Enabled = true;
        }

        private void radioButton2_click(object sender, EventArgs e)
        {
            radioButton1.Checked = false;
            radioButton2.Checked = true;
            radioButton3.Checked = false;
            textBox1.Enabled = true;
            textBox2.Enabled = false;
            if (textBox1.Text != "" && int.Parse(textBox1.Text) > 1)
                apply.Enabled = true;
            else
                apply.Enabled = false;
        }

        private void radioButton3_click(object sender, EventArgs e)
        {
            radioButton1.Checked = false;
            radioButton2.Checked = false;
            radioButton3.Checked = true;
            textBox1.Enabled = false;
            textBox2.Enabled = true;
            if (textBox2.Text != "" && int.Parse(textBox2.Text) > 1)
                apply.Enabled = true;
            else
                apply.Enabled = false;
        }

        private void textBox2_keyUp(object sender, KeyEventArgs e)
        {
            if (textBox2.Text != "" && int.Parse(textBox2.Text) > 1)
                apply.Enabled = true;
            else
                apply.Enabled = false;
        }

        private void textBox1_keyUp(object sender, KeyEventArgs e)
        {
            if (textBox1.Text != "" && int.Parse(textBox1.Text) > 1)
                apply.Enabled = true;
            else
                apply.Enabled = false;
        }
    }
}
