﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HDLVisualizer
{
    public partial class NewProjectDialog : Form
    {
        public string name;
        public string type;

        public NewProjectDialog()
        {
            InitializeComponent();
            comboBox1.SelectedIndex = 0;
        }

        public NewProjectDialog(string type)
        {
            InitializeComponent();

            switch (type)
            {
                case "vhdl": 
                    comboBox1.SelectedIndex = 0;
                    break;
                case "verilog":
                    comboBox1.SelectedIndex = 1;
                    break;
                case "systemc":
                    comboBox1.SelectedIndex = 2;
                    break;
            }
            comboBox1.Enabled = false;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox1.Text.Trim() != "")
            {
                name = textBox1.Text;
                type = comboBox1.Text.ToLower();
                this.Close();
                DialogResult = DialogResult.OK;
            }
            else
            {
                MessageBox.Show("Invalid file name!");
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
            DialogResult = DialogResult.Cancel;
        }
    }
}
