module JK_PO(q, clk, jk, res);
  input clk, jk, res;
  output q;
  wire clk, jk, res;
  reg q;
  always @(posedge clk)
    if (res) q <= 0;
    else begin
  if (jk) begin q = ~q;  end
      else begin q = q; end
  end
endmodule
module poc(clk, res, out);
  input clk, res;
  output [0:3] out;
  wire A, B, C, D, b_c_d, c_d, b_d, na_d, a_d;
  nand NAND_1(a_d, out[0], out[3]);
  nand NAND_2(b_c_d, out[1], out[2], out[3]);
  nand NAND_3(A, b_c_d, a_d);
  nand NAND_4(c_d, out[2], out[3]);
  nand NAND_5(B, c_d);
  nand NAND_6(b_d, out[1], out[3]);
  nand NAND_7(na_d, ~out[0], out[3]);
  nand NAND_8(C, b_d, na_d);
  JK_PO JK_A(out[0], clk, A, res);
  JK_PO JK_B(out[1], clk, B, res);
  JK_PO JK_C(out[2], clk, C, res);
  JK_PO JK_D(out[3], clk, 1, res);
endmodule
module tes;
  reg clk, res;
  wire [0:3] out;
  poc bla(clk, res, out);
  initial begin
    clk = 1;
    res = 0;
    #5 res = 1;
    #10 res = 0;
  end
  always begin
    #5 clk = ~clk;
  end
endmodule